Package commoble.exmachina.engine.internal

# Class ExMachinaEngine

java.lang.Object
commoble.exmachina.engine.internal.ExMachinaEngine

public class ExMachinaEngine extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`final CommonConfig`
`commonConfig`
`static final org.apache.logging.log4j.Logger`
`LOGGER`

## Constructor Summary

Constructors
Constructor
Description
`ExMachinaEngine()`

## Method Summary

Modifier and Type
Method
Description
`static <T> net.minecraftforge.registries.DeferredRegister<T>`
`exMachinaDefreg(net.minecraftforge.eventbus.api.IEventBus modBus, net.minecraft.resources.ResourceKey<net.minecraft.core.Registry<T>> key)`
`static net.minecraft.resources.ResourceLocation`
`exMachinaRl(String name)`
`static ExMachinaEngine`
`get()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### LOGGER

public static final org.apache.logging.log4j.Logger LOGGER

### commonConfig

public final CommonConfig commonConfig

## Constructor Details

### ExMachinaEngine

public ExMachinaEngine()

## Method Details

### get

public static ExMachinaEngine get()

### exMachinaRl

public static net.minecraft.resources.ResourceLocation exMachinaRl(String name)

### exMachinaDefreg

public static <T> net.minecraftforge.registries.DeferredRegister<T> exMachinaDefreg(net.minecraftforge.eventbus.api.IEventBus modBus, net.minecraft.resources.ResourceKey<net.minecraft.core.Registry<T>> key)